Jump to content

Layer isolation and hidden line dilemna


Recommended Posts

Does anyone else have an issue with isolating a layer (any layer other than one that contains a hidden line type), and then having the hidden layer appear behind it when attempting to initiate a command?

 

Attached is an example. The first image shows my drawing with object layer isolated. But as soon as I enter some type of editing command (move, rotate, etc), in this case copy, my hidden layer appears (see second image).

 

In my LAYISO settings, I have it set to lock and fade, but it does not lock unless I manually set my hidden layer to lock in the layer co[ATTACH=CONFIG]37450[/ATTACH][ATTACH=CONFIG]37451[/ATTACH]mmand.

ScreenShot029.jpg

ScreenShot030.jpg

Link to comment
Share on other sites

You mised the point. Yes I could use the off option, but it's another step I'd prefer not to do when that is what the layer isolation command is suppose to, eliminate those extra steps of turning layers off.

Link to comment
Share on other sites

I may have confused the issue a bit, I was thinking that the Autocad "layiso" command does the same thing as the old lsp routine I use. The lsp routine I use (written originally for R14 or even older) turns off all layers except your current one, making short work of editing things on your current layer.

I never used to have any issues with it, and can't recall exactly when this particular phenomenon first appeared.

The route is as follows:

 

(DEFUN C:OFA ()

(SETVAR "CMDECHO" 0)

(PROMPT "Turning all but current Layers OFF: ")

(COMMAND "LAYER" "OF" "*" "")

)

(DEFUN C:ONA ()

(SETVAR "CMDECHO" 0)

(PROMPT "Turning all Layers ON: ")

(COMMAND "LAYER" "ON" "*" "")

)

(DEFUN C:OFEG (/ A2 B2 L1 L2 L3 L4)

(GRAPHSCR)

(PROMPT "SELECT ENTITY ON LAYER TO TURN OFF ") (TERPRI)

(SETQ A2 (ENTSEL))

(SETQ B2 (ENTGET (CAR A2)))

(SETQ L1 (ASSOC 8 B2))

(SETQ L2 (CDR L1))

(SETQ L3 (SUBSTR L2 1 1))

(SETQ L4 (STRCAT L3 "*"))

(PROMPT "Turning Entity layer group OFF :")

(COMMAND "LAYER" "OF" L4 "")

)

(DEFUN C:OF (/ LN NL CL)

(GRAPHSCR)

(SETQ LN (GETVAR "CLAYER"))

(SETQ NL (SUBSTR LN 1 1))

(SETQ CL (STRCAT NL "*"))

(PROMPT "Turning off all but current layer group : " )

(COMMAND "LAYER" "OF" "*" "N" "ON" CL "")

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...